WEB相談室

Webページ作成に関しての何でも掲示板です。

タイトル:旧バージョンのIEを使うには?

0:[投稿] レイ [2003/03/09 02:18 ][環境:Win2000/IE6 -----]

いまブラウザはInternet Explorerの6.0を標準で使っています。
で、ホームページを作る時にはなるべく多くの人の環境で見れるように
IE6とネスケ7とオペラ7で動作確認をしているのですが、
各ブラウザでの旧バージョンにおいての動作確認もしたいと思いました。
それでネスケやオペラは旧バージョンも難なくダウンロード+インストール出来たのですが
IEは旧バージョンをインストールしようとすると
「既に最新版がインストールされています」
のような趣旨のことをいわれてしまいインストールが出来ません。
もちろん現在のバージョンのをアンインストールすれば
旧バージョンはインストールできると思うのですが、
私がやりたいのはそういう事ではなく、今のIE6はアンインストールせずに残したまま
旧バージョンのも同じマシン(Windows)に同駐させたいのですが、
そういうことは可能でしょうか?
ご教授、お願い致します…。
P.S.場違いの質問だったらごめんなさい。


1:[回答] 平野 敬 [MAIL] [URL] [2003/03/10 07:07 ]

基本的にできません。

WEBデザイナには、Mac機にVirtualPCを入れて異なるWinIEを動かし分けている人もいるようです。
http://www.apple.com/macosx/applications/virtualpc/


2:[回答] のぐりん [MAIL] [2003/03/10 14:17 ]

レジストリの変更など、かなり高度な技を使えば、
不可能ではありません。
私は、ここのある常連さんからやり方を聞いて、
IE4.0、IE5.5SP2、IE6.0を同じPCにインストールしたことあります。

かなり危険な方法であり、元ねたは「ある常連さん」のものなので、私からの回答は控えます。


3:[完了] レイ [2003/03/10 18:17 ]

平野さん、のぐりんさん、ご回答有難う御座いました。
やはりIEの複数バージョン共存は困難なのですね。わかりました。
なるべく仕様書などを見て
昔のバージョンとは互換性のない要素を入れないようにします。

WEBデザイナさんはVirtualPCを使ってるんですね…初めて知りました。
本格的に作りたかったらやはりMacがいいですね..。
平野さん、アドバイス有難う御座いました!

のぐりんさんの昔の記事も拝見させて頂きました。
レジストリ変更…出来ない訳ではありませんが
かなり危険そうなので諦めます。
有難う御座いました。


4:[完了] yuu [2003/03/11 12:07 ]

>WEBデザイナさんはVirtualPCを使ってるんですね…初めて知りました。

弊社(何処)ではVMwareとか使ってますが。
本格的(謎)に作るんだったら、Macがいい、のではなく、Macも必要という感じ。

回答(必須): 状態:

お名前(必須):

e-mail:

URL:




[戻る]

ChaichanPAPA's World